.TH "mca_coll_base_mpool_index_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_coll_base_mpool_index_t \- Structure containing pointers to various arrays of data in the data mpool area (one of these indexes a single segment in the data mpool).  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <coll_sm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "uint32_t volatile * \fBmcbmi_control\fP"
.br
.RI "\fIPointer to beginning of control data. \fP"
.ti -1c
.RI "char * \fBmcbmi_data\fP"
.br
.RI "\fIPointer to beginning of message fragment data. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure containing pointers to various arrays of data in the data mpool area (one of these indexes a single segment in the data mpool). 

Nothing is hard-coded because all the array lengths and displacements of the pointers all depend on how many processes are in the communicator. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
